# Ordo

Ordo ab chao: from chaos, comes order. 

## Installing Dependencies

On a Guix system, you can simply run:

``` bash
guix package -m manifest.scm
```

If Guix is not available where you plan to run ordo, but you have access to a
system running Guix, you can create a tarball containing all the dependencies:

``` bash
guix pack -RR -m manifest.scm
```

Copy the tarball to your system and unpack it (somewhere). 

Find the name of the profile in the tarball and use that to configure paths etc.

``` bash
export GUIX_PROFILE=$(realpath gnu/store/*-profile)
source "${GUIX_PROFILE}/etc/profile"
```
