(define-module (ordo context)
  #:use-module (srfi srfi-69))

;;
;; Inventory
;;
(define-public *inventory* (make-parameter #f))

;;
;; Playbook vars
;;
(define-public *playbook-vars* (make-parameter #f))

(define-public (playbook-var-ref key)
  (hash-table-ref (*playbook-vars*) key))

(define-public (playbook-var-ref/default key default)
  (hash-table-ref/default (*playbook-vars*) key default))

(define-public (playbook-var-set! key value)
  (hash-table-set! (*playbook-vars*) key value))

;;
;; Play vars
;;
(define-public *play-vars* (make-parameter #f))

(define-public (play-var-ref key)
  (hash-table-ref (*play-vars*) key))

(define-public (play-var-ref/default key default)
  (hash-table-ref/default (*play-vars*) key default))

(define-public (play-var-set! key value)
  (hash-table-set! (*play-vars*) key value))

;;
;; Host vars
;;
(define-public *host-vars* (make-parameter #f))

(define-public (host-var-ref key)
  (hash-table-ref (*host-vars*) key))

(define-public (host-var-ref/default key default)
  (hash-table-ref/default (*host-vars*) key default))

(define-public (host-var-set! key value)
  (hash-table-set! (*host-vars*) key value))
